Subject: Re: add checkpoint stats of snapshot and mapping files of pg_logical dir

From: Nathan Bossart <[email-masked]>
Date: Fri, 11 Mar 2022 12:05:11 -0800

+    CheckpointStats.repl_map_cutoff_lsn = cutoff;

Could we set repl_map_cutoff_lsn closer to where it is calculated?  Right
now, it's set at the bottom of the function just before the directory is
freed.  Is there a strong reason to do it there?

+                        "logical rewrite mapping file(s) removed/synced=" UINT64_FORMAT ", size=%zu bytes, time=%ld.%03d s, cutoff LSN=%X/%X",

Can we split out the "removed" versus "synced" files?  Otherwise, I think
this is basically just telling us how many files are in the mappings
directory.

+    CheckpointStats.repl_snap_cutoff_lsn = cutoff;

I have the same note for this one as I have for repl_map_cutoff_lsn.

-- 
Nathan Bossart
Amazon Web Services: https://aws.amazon.com